
Core - Bug # 56546

Status: Resolved Priority: Should have
Author: Alexander Opitz Category:
Created: 2014-03-04 Assigned To: Alexander Opitz
Updated: 2014-03-04 Due date:
TYPO3 Version: 6.2
PHP Version:
Complexity:
Is Regression: No
Sprint Focus:
Subject: PHP5.3 OpcodeCache issue: "Cannot access static:: when no class scope is active"
Description

In PHP5.3 the static class scope isn't bind to the anonymous function. So we need an extra function to get the state in the
OpcodeCache configuration function.

Travis error: https://travis-ci.org/TYPO3/TYPO3.CMS/jobs/20064291

Related issues:
related to Core - Bug # 55252: PHP 5.5 and require LocalConfiguration Resolved 2014-01-22

Associated revisions
Revision d12424f1 - 2014-03-04 18:22 - Alexander Opitz

[BUGFIX] Fix OpcodeCache for PHP 5.3

In PHP 5.3 anonymous functions can't be bound to static/self so an extra
call to a public function is needed.

Resolves: #56546
Related: #55252
Releases: 6.2
Change-Id: I56fc8c4ae92e50c35e972413540b43ec1fa714fc
Reviewed-on: https://review.typo3.org/28048
Reviewed-by: Markus Klein
Tested-by: Markus Klein
Reviewed-by: Wouter Wolters
Reviewed-by: Xavier Perseguers
Tested-by: Xavier Perseguers

History
#1 - 2014-03-04 18:05 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/28048

#2 - 2014-03-04 18:09 - Gerrit Code Review
Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/28048

#3 - 2014-03-04 18:30 - Alexander Opitz
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:d12424f163a6890b4ce078fcbe903c6bd1b6fa70.
